﻿using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BuisnessLogicContracts
{
    public interface IExaminationResultLogic
    {
        List<ExaminationResultViewModel>? ReadList(ExaminationResultSearchModel? model);
        ExaminationResultViewModel? ReadElement(ExaminationResultSearchModel model);
        bool Create(ExaminationResultBindingModel model);
        bool Update(ExaminationResultBindingModel model);
        bool Delete(ExaminationResultBindingModel model);
    }
}
